From 9e70501e53156b46166dca4c05ebbe9841ce61f7 Mon Sep 17 00:00:00 2001
From: Martin Fick <mfick@codeaurora.org>
Date: Fri, 13 Aug 2010 15:31:41 -0600
Subject: [PATCH] Display 'No difference' between unchanged patchsets (no NPE)

Bug: issue 645
Change-Id: Icef4d5f3bacc92d3a7aab7163ccbadae46caa28e
---
 .../gerrit/httpd/rpc/patch/PatchScriptBuilder.java |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/gerrit-httpd/src/main/java/com/google/gerrit/httpd/rpc/patch/PatchScriptBuilder.java b/gerrit-httpd/src/main/java/com/google/gerrit/httpd/rpc/patch/PatchScriptBuilder.java
index 9218edd..d178fd0 100644
--- a/gerrit-httpd/src/main/java/com/google/gerrit/httpd/rpc/patch/PatchScriptBuilder.java
+++ b/gerrit-httpd/src/main/java/com/google/gerrit/httpd/rpc/patch/PatchScriptBuilder.java
@@ -419,7 +419,7 @@ class PatchScriptBuilder {
 
     private TreeWalk find(final ObjectId within) throws MissingObjectException,
         IncorrectObjectTypeException, CorruptObjectException, IOException {
-      if (path == null) {
+      if (path == null || within == null) {
         return null;
       }
       final RevWalk rw = new RevWalk(db);
-- 
1.7.2.2

